Skip to main content
`Ctrl`+`K`

# PetscLayoutReference

Causes a PETSc `Vec` or `Mat` to share a `PetscLayout` with one that already exists.

## Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutReference(PetscLayout in, PetscLayout *out)

Collective

## Input Parameter

- in - input `PetscLayout` to be copied

## Output Parameter

- out - the reference location

## Notes

`PetscLayoutSetUp()` does not need to be called on the resulting `PetscLayout`

If the out location already contains a `PetscLayout` it is destroyed

## See Also

PetscLayout, `PetscLayoutCreate()`, `PetscLayoutDestroy()`, `PetscLayoutSetUp()`, `PetscLayoutDuplicate()`

## Level

developer

## Location

src/vec/is/utils/pmap.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages